# Advanced Example - Demo_Api

This is a advanced example configuration for the demo_api template.

## Configuration

This example includes the following configuration:

```json
{
  "server_name": "my-demo_api-server",
  "port": 8080,
  "log_level": "INFO",
  "debug_mode": false,
  "max_connections": 100,
  "timeout": 30,
  "ssl_enabled": false,
  "cors_enabled": true,
  "rate_limiting": {
    "enabled": true,
    "requests_per_minute": 60
  }
}
```

## Usage

Run the example script to create a project:

```bash
python create_project.py
```

Or use the configuration directly:

```python
from mcp_dev_toolkit.templates import create_from_template
import json

with open('config.json', 'r') as f:
    config = json.load(f)

result = create_from_template(
    template_name="demo_api",
    project_name="my-project",
    config=config
)
```

## What This Example Demonstrates

This advanced example shows:
- All available configuration options
- Performance optimization settings
- Advanced features and integrations
- Comprehensive logging and monitoring setup

Use this example when you need full control and want to see all possibilities.


## Template Information

- **Template**: demo_api
- **Category**: api
- **Type**: server
- **Features**: mcp_server, tool_registration, resource_management

## Customization

You can modify the `config.json` file to customize:
- `server_name`: (Required) Configuration for server_name
- `port`: (Required) Configuration for port
- `log_level`: (Optional) Configuration for log_level
- `debug_mode`: (Optional) Configuration for debug_mode
