# Basic Example - Weather_Api

This is a basic example configuration for the weather_api template.

## Configuration

This example includes the following configuration:

```json
{
  "server_name": "my-weather_api-server",
  "port": 8080,
  "log_level": "INFO",
  "debug_mode": false
}
```

## Usage

Run the example script to create a project:

```bash
python create_project.py
```

Or use the configuration directly:

```python
from mcp_dev_toolkit.templates import create_from_template
import json

with open('config.json', 'r') as f:
    config = json.load(f)

result = create_from_template(
    template_name="weather_api",
    project_name="my-project",
    config=config
)
```

## What This Example Demonstrates

This basic example shows:
- Standard configuration with commonly used settings
- Recommended values for server applications
- Balance between functionality and simplicity

Use this example when you want a good starting point that works out of the box.


## Template Information

- **Template**: weather_api
- **Category**: api
- **Type**: server
- **Features**: mcp_server, tool_registration, resource_management

## Customization

You can modify the `config.json` file to customize:
- `server_name`: (Required) Configuration for server_name
- `port`: (Required) Configuration for port
- `log_level`: (Optional) Configuration for log_level
- `debug_mode`: (Optional) Configuration for debug_mode
