# Minimal Example - Weather_Api

This is a minimal example configuration for the weather_api template.

## Configuration

This example includes the following configuration:

```json
{
  "server_name": "minimal-server",
  "port": 3000
}
```

## Usage

Run the example script to create a project:

```bash
python create_project.py
```

Or use the configuration directly:

```python
from mcp_dev_toolkit.templates import create_from_template
import json

with open('config.json', 'r') as f:
    config = json.load(f)

result = create_from_template(
    template_name="weather_api",
    project_name="my-project",
    config=config
)
```

## What This Example Demonstrates

This minimal example shows:
- Only required configuration fields
- Simplest possible setup
- Quick start approach

Use this example when you want to get started immediately with minimal configuration.


## Template Information

- **Template**: weather_api
- **Category**: api
- **Type**: server
- **Features**: mcp_server, tool_registration, resource_management

## Customization

You can modify the `config.json` file to customize:
- `server_name`: (Required) Configuration for server_name
- `port`: (Required) Configuration for port
- `log_level`: (Optional) Configuration for log_level
- `debug_mode`: (Optional) Configuration for debug_mode
